## nitrokey-app 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,23 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)
 cmake_policy(SET CMP0043 OLD) # cmake --help-policy CMP0043
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake/Modules/")
 
 PROJECT(NitrokeyApp)
-SET(PROJECT_VERSION "0.6.1")
-#ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION}) 
+SET(PROJECT_VERSION "0.6.3")
 
 #Please use either 'cmake -DHAVE_LIBAPPINDICATOR=NO' or 'ccmake' to change this value
-OPTION(HAVE_LIBAPPINDICATOR "Compile support for libappindicator" YES)
+OPTION(HAVE_LIBAPPINDICATOR "Compile support for libappindicator" NO)
 
 INCLUDE(FindPkgConfig)
 
-IF (NOT ${CMAKE_BUILD_TYPE})
-  SET(CMAKE_BUILD_TYPE Debug) 
+IF (NOT CMAKE_BUILD_TYPE)
+  SET(CMAKE_BUILD_TYPE Debug)
 ENDIF()
 MESSAGE("Build type: ${CMAKE_BUILD_TYPE}") 
+ADD_DEFINITIONS(-DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}")
+ADD_DEFINITIONS(-DCMAKE_CXX_COMPILER="${CMAKE_CXX_COMPILER_ID}, ${CMAKE_CXX_COMPILER}")
+ADD_DEFINITIONS(-DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS}")
 
 
 # QT configuration
@@ -297,6 +299,8 @@
   ${resources_ouput}
 )
 
+set_property(TARGET nitrokey-app PROPERTY CXX_STANDARD 11)
+
 INSTALL(TARGETS nitrokey-app DESTINATION bin)
 
 TARGET_LINK_LIBRARIES(nitrokey-app
@@ -375,8 +379,3 @@
     "/usr/share/icons/hicolor/128x128"
     "/usr/share/icons/hicolor/128x128/apps"
     "/usr/share/icons/hicolor/scalable"
-    "/usr/share/icons/hicolor/scalable/apps"
-    "/usr/share/icons/ubuntu-mono-dark"
-    "/usr/share/icons/ubuntu-mono-dark/apps"
-    "/usr/share/icons/ubuntu-mono-dark/apps/22"
-    "/usr/share/icons/ubuntu-mono-dark/apps/24"
