=== debian/changelog ===
nitrokey-app (0.6.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Set minimum version for cmake build dependency to >= 3.1.0.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Tue, 07 Feb 2017 12:03:51 +0100

nitrokey-app (0.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Thu, 26 Jan 2017 23:35:24 +0100

nitrokey-app (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 14 Jan 2017 17:41:31 +0100

nitrokey-app (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Tue, 06 Dec 2016 17:52:01 +0100

nitrokey-app (0.5.1-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #835521)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 17 Oct 2016 14:15:06 +0200
