=== debian/control ===
Source: nitrokey-app
Section: utils
Priority: optional
Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
Build-Depends: bash-completion,
               cmake (>= 3.1.0),
               debhelper (>= 9),
               libappindicator-dev,
               libgtk2.0-dev,
               libnotify-dev,
               libusb-1.0-0-dev,
               qt5-qmake,
               qtbase5-dev,
               qtchooser
Standards-Version: 3.9.8
Homepage: https://github.com/Nitrokey/nitrokey-app
Vcs-Git: https://github.com/JanLuca/nitrokey-app-debian.git
Vcs-Browser: https://github.com/JanLuca/nitrokey-app-debian

Package: nitrokey-app
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libccid, pcscd, scdaemon
Description: Application to manage the Nitrokey
 Nitrokey is an open source/open hardware USB key supporting
 secure encryption and signing. This package installs the
 official application to manage the features of the different
 USB keys.
