=== debian/changelog ===
nitrokey-app (1.2.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 01 Jan 2018 14:14:45 +0100

nitrokey-app (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.1.3, no changes required.
  * debian/patches:
    - Update patches for new upstream version.
  * debian/copyright: Update copyright infos for new upstream version.
  * debian/compat: Update to compat version 11.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Thu, 28 Dec 2017 15:02:50 +0100
