## nitrokey-app 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(SET CMP0043 OLD) # cmake --help-policy CMP0043
 
 PROJECT(NitrokeyApp LANGUAGES CXX)
-SET(PROJECT_VERSION "1.2")
+SET(PROJECT_VERSION "1.2.1")
 
 include(GNUInstallDirs)
