=== debian/changelog ===
nitrokey-app (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Wed, 24 Jan 2018 14:09:15 +0100
