=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
 Build-Depends: bash-completion,
-               cmake (>= 3.1.0),
-               debhelper (>= 9),
-               libappindicator-dev,
+               cmake (>=3.1.0),
+               debhelper (>= 11~),
                libgtk2.0-dev,
                libnotify-dev,
                libusb-1.0-0-dev,
+               udev,
                qt5-qmake,
                qtbase5-dev,
-               qtchooser
-Standards-Version: 3.9.8
+               qttools5-dev,
+               qtchooser,
+               libhidapi-dev,
+               libnitrokey-dev
+Standards-Version: 4.1.3
 Homepage: https://github.com/Nitrokey/nitrokey-app
 Vcs-Git: https://github.com/JanLuca/nitrokey-app-debian.git
 Vcs-Browser: https://github.com/JanLuca/nitrokey-app-debian
