=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%, \
   uversionmangle=s/^(\d+\.\d+)$/$1\.0/" \
   https://github.com/Nitrokey/nitrokey-app/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
