## nitrokey-app 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,8 @@
 cmake_policy(SET CMP0043 OLD) # cmake --help-policy CMP0043
 
 PROJECT(NitrokeyApp LANGUAGES CXX)
-SET(PROJECT_VERSION "1.2.1")
+SET(PROJECT_VERSION "1.3.1")
+set(LIBNK_MIN_VERSION 3.3)
 
 include(GNUInstallDirs)
 
@@ -40,15 +41,17 @@
 
 
 # QT configuration
-FIND_PACKAGE(Qt5Core)
-FIND_PACKAGE(Qt5Gui)
-FIND_PACKAGE(Qt5Widgets)
+FIND_PACKAGE(Qt5Core REQUIRED)
+FIND_PACKAGE(Qt5Gui REQUIRED)
+FIND_PACKAGE(Qt5Widgets REQUIRED)
+FIND_PACKAGE(Qt5Svg REQUIRED)
+FIND_PACKAGE(Qt5Concurrent REQUIRED)
 
 
 # add git version info
 IF(ADD_GIT_INFO)
 execute_process(
-        COMMAND git describe --abbrev=4 HEAD
+        COMMAND git describe --always --abbrev=4 HEAD
         WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
         OUTPUT_VARIABLE GIT_VERSION
         OUTPUT_STRIP_TRAILING_WHITESPACE
@@ -82,7 +85,6 @@
 SET(qrc_files
     resources.qrc
 )
-qt5_add_resources(RESOURCE_ADDED ${qrc_files})
 
 # create translation files to include into resource file
 # remember to add new translations files there
@@ -90,7 +92,7 @@
 	ADD_SUBDIRECTORY(i18n)
 	find_package(Qt5LinguistTools)
 	file(GLOB i18n_files "i18n/*.ts")
-	qt5_create_translation(i18n_resources ${FILES_TO_TRANSLATE} ${i18n_files})
+	qt5_create_translation(i18n_resources ${SRCUIDIR} ${i18n_files})
 	qt5_add_translation(TRANSLATION_QM ${i18n_files})
 ENDIF()
 
@@ -105,7 +107,6 @@
   ${SRCDIR}
   ${UTILSDIR}
   ${SRCUIDIR}
-    3rdparty/cppcodec
 )
 
 # c/cpp sources
@@ -128,7 +129,7 @@
         src/libada.cpp src/libada.h src/utils/bool_values.h src/GUI/Tray.cpp src/GUI/Tray.h src/GUI/Clipboard.cpp src/GUI/Clipboard.h src/GUI/Authentication.cpp src/GUI/Authentication.h src/core/ScopedGuard.h src/version.h src/GUI/StorageActions.cpp src/GUI/StorageActions.h
         src/ui/licensedialog.cpp
         src/GUI/ManageWindow.cpp
-
+	src/GUI/graphicstools.cpp
         #        src/GUI/PasswordSafe.cpp src/GUI/PasswordSafe.h
         src/core/ThreadWorker.cpp src/core/ThreadWorker.h)
 
@@ -147,6 +148,11 @@
   )
 
   install(FILES
+    ${CMAKE_SOURCE_DIR}/data/com.nitrokey.nitrokey-app.appdata.xml
+    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo/
+  )
+
+  install(FILES
     ${CMAKE_SOURCE_DIR}/data/icons/hicolor/128x128/apps/nitrokey-app.png
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps
   )
@@ -154,21 +160,7 @@
   find_package(PkgConfig)
 
   # Install Nitrokey udev rules
-  set(PKG_GET_UDEV_DIR ${PKG_CONFIG_EXECUTABLE} --variable=udevdir udev)
-  execute_process(COMMAND ${PKG_GET_UDEV_DIR} RESULT_VARIABLE ERR OUTPUT_VARIABLE UDEV_MAIN_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
-  IF(${ERR})
-      set(UDEV_MAIN_DIR "lib/udev/rules.d")
-  ELSE()
-      set(UDEV_MAIN_DIR "${UDEV_MAIN_DIR}/rules.d")
-  ENDIF()
-  string(REGEX REPLACE "^/" "" UDEV_MAIN_DIR "${UDEV_MAIN_DIR}")
-  string(REGEX REPLACE "^usr/" "" UDEV_MAIN_DIR "${UDEV_MAIN_DIR}") # usual prefix is usr/local
-  message(STATUS "Setting udev rules dir to ${UDEV_MAIN_DIR}")
-
-  install(FILES
-   ${CMAKE_SOURCE_DIR}/data/41-nitrokey.rules
-    DESTINATION ${UDEV_MAIN_DIR}
-  )
+  # Removed - should be provided by libnitrokey
 
   # Install autocompletion scripts
   set(PKG_GET_BASH_COMPLETION ${PKG_CONFIG_EXECUTABLE} --variable=completionsdir bash-completion)
@@ -183,14 +175,6 @@
   install(FILES
    ${CMAKE_SOURCE_DIR}/data/bash-autocomplete/nitrokey-app
     DESTINATION ${BASH_COMPLETION_DIR}
-  )
-
-  install(FILES
-    ${CMAKE_SOURCE_DIR}/images/info.png
-    ${CMAKE_SOURCE_DIR}/images/quit.png
-    ${CMAKE_SOURCE_DIR}/images/safe_zahlenkreis.png
-    ${CMAKE_SOURCE_DIR}/images/settings.png
-    DESTINATION ${CMAKE_INSTALL_DATADIR}/nitrokey
   )
 
 ENDIF () # NOT WIN32
@@ -218,15 +202,16 @@
 TARGET_LINK_LIBRARIES(nitrokey-app
   ${EXTRA_LIBS}
 #  ${platform_specific_libs}
-  Qt5::Widgets Qt5::Core Qt5::Gui
+  Qt5::Widgets Qt5::Core Qt5::Gui Qt5::Svg Qt5::Concurrent
 )
 
 # first try to find libnitrokey via pkg-config
 find_package(PkgConfig)
-pkg_search_module(LIBNITROKEY libnitrokey-1)
-
+pkg_search_module(LIBNITROKEY ${_pkgconfig_REQUIRED} libnitrokey-1 >= ${LIBNK_MIN_VERSION})
+
+MESSAGE(STATUS "Required libnitrokey version: ${LIBNK_MIN_VERSION}")
 if(LIBNITROKEY_FOUND)
-  MESSAGE("Found system libnitrokey")
+  MESSAGE(STATUS "Found system libnitrokey (Cflags: '${LIBNITROKEY_CFLAGS}' Libs: '${LIBNITROKEY_LDFLAGS}')")
   if (BUILD_SHARED_LIBS)
     target_compile_options(nitrokey-app PRIVATE ${LIBNITROKEY_CFLAGS})
     target_link_libraries(nitrokey-app ${LIBNITROKEY_LDFLAGS})
@@ -237,9 +222,26 @@
 else()
   MESSAGE("Using bundled libnitrokey")
   add_subdirectory (libnitrokey)
+  include_directories(libnitrokey)
   target_link_libraries(nitrokey-app nitrokey)
 endif()
 
+# ... same for cppcodec
+pkg_search_module(CPPCODEC cppcodec-1)
+
+if(CPPCODEC_FOUND)
+  MESSAGE(STATUS "Found system cppcodec (Cflags: '${CPPCODEC_CFLAGS}' Libs: '${CPPCODEC_LDFLAGS}')")
+  if (BUILD_SHARED_LIBS)
+    target_compile_options(nitrokey-app PRIVATE ${CPPCODEC_CFLAGS})
+    target_link_libraries(nitrokey-app ${CPPCODEC_LDFLAGS})
+  else()
+    target_compile_options(nitrokey-app PRIVATE ${CPPCODEC_STATIC_CFLAGS})
+    target_link_libraries(nitrokey-app ${CPPCODEC_STATIC_LDFLAGS})
+  endif()
+else()
+  MESSAGE("Using bundled cppcodec")
+  include_directories(3rdparty/cppcodec)
+endif()
 
 # Packaging
 SET(CPACK_GENERATOR
@@ -266,7 +268,7 @@
 SET(CPACK_DEBIAN_PACKAGE_MAINTAINER ${PACKAGE_MAINTAINER} )
 SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
 SET(CPACK_DEBIAN_PACKAGE_SECTION "utils")
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt5widgets5, libqt5gui5, libqt5core5a, libhidapi-libusb0")
+SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt5widgets5, libqt5gui5, libqt5core5a, libqt5svg5, libhidapi-libusb0")
 SET(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_SOURCE_DIR}/debian/postinst")
 
 
@@ -274,7 +276,7 @@
 #execute_process(COMMAND dpkg --print-architecture OUTPUT_VARIABLE CPACK_RPM_PACKAGE_ARCHITECTURE)
 SET(CPACK_RPM_PACKAGE_DESCRIPTION  "Use and manage your Nitrokey")
 SET(CPACK_RPM_PACKAGE_LICENSE "GPLv3")
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
+SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSES/GPLv3")
 SET(CPACK_RPM_PACKAGE_SUMMARY "Use and manage your Nitrokey")
 SET(CPACK_RPM_PACKAGE_VENDOR "Nitrokey")
 SET(CPACK_RPM_PACKAGE_MAINTAINER ${PACKAGE_MAINTAINER} )
