=== debian/changelog ===
nitrokey-app (1.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #900321)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Tue, 26 Jun 2018 17:49:14 +0200

nitrokey-app (1.3.0-1) unstable; urgency=medium

  * Rebuild for unstable.
  * debian/control:
     - Update to Debian policy 4.1.4, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 26 May 2018 14:54:19 +0200

nitrokey-app (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Switch from GitHub to Debian Salsa as Git host.
    - Add libqt5svg5-dev as Build-Depends.
  * debian/patches:
    - Disable patch 0002-fix-installation-paths.patch.
    - Disable patch 0003-add-more-info-to-udev-rules.patch.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 13 May 2018 11:08:32 +0200
