=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
                qt5-qmake,
                qtbase5-dev,
                qttools5-dev,
+               libqt5svg5-dev,
                qtchooser,
                libhidapi-dev,
-               libnitrokey-dev
-Standards-Version: 4.1.3
+               libnitrokey-dev (>=3.3)
+Standards-Version: 4.1.4
 Homepage: https://github.com/Nitrokey/nitrokey-app
-Vcs-Git: https://github.com/JanLuca/nitrokey-app-debian.git
-Vcs-Browser: https://github.com/JanLuca/nitrokey-app-debian
+Vcs-Git: https://salsa.debian.org/janluca-guest/nitrokey-app-debian.git
+Vcs-Browser: https://salsa.debian.org/janluca-guest/nitrokey-app-debian
 
 Package: nitrokey-app
 Architecture: any
